Subject: Re: [mpls-tp] Is MPLS-TP a profile of MPLS? (was:Clarifying MPLS-TP requirements for MPLS(-TP) overMPLS(-TP))

From: "Xueqin WEI (Shuetsing WEI)" <[email-masked]>
Date: Wed, 11 Mar 2009 16:50:30 +0800

Hi, all:

I think we should talk the interworking of DP, CP and MP seperatelly. In our opinion, the interworings of 3 planes (Actually 2 planes to me, I am not clear with interworking of MP) are technical different.
The interworking of DP mainly concerns the frame, rate, etc..
The interworking of CP mainly concerns the Control channel, protocol (signalling, routing......), etc..
But I am confused what is interworking of MP, could somebody kindly explain this?

Sincerely Yours
Xueqin Wei (Shuetsing Wei)

Development & Planning Department,
Fiberhome Telecommunication Technologies Co.,Ltd.,
2009-03-11  16:40:52

==================== Following is your email=====================
Subject:Re: [mpls-tp] Is MPLS-TP a profile of MPLS? (was:Clarifying	MPLS-TP requirements for MPLS(-TP) overMPLS(-TP))
Sent：2009-03-11 16:12:37
From:Maarten Vissers
To:'Greg Mirsky'
CC to:Alik.Shimelmits; mpls-tp

>Greg,
> 
>I assume that you are not concerned about the interworking of the DP in both
>domains; i.e. both domains have the MPLS-TP DP. Correct?
> 
>When I look at SONET/SDH transport networks, then I know that there are
>domains in these networks that are operated with MP only, and there are
>domains that are operated with MP and CP. Can we use this hybrid control
>model as basis for the operation of a MPLS-TP network with MP only and MP/CP
>controlled domains? Example: STS-1 connection set up using MP in metro
>domain and GMPLS in core domain.
> 
>Regards,
>Maarten
>
>  _____  
>
>From: [email-masked] [mailto:[email-masked]] On Behalf
>Of Greg Mirsky
>Sent: woensdag 11 maart 2009 4:30
>To: [email-masked]
>Cc: [email-masked]; [email-masked]
>Subject: Re: [mpls-tp] Is MPLS-TP a profile of MPLS? (was: Clarifying
>MPLS-TP requirements for MPLS(-TP) overMPLS(-TP))
>
>
>Neil,
>your explanation makes the it easier to picture. But I'm only the messenger,
>or more precise, an interpreter on behalf of the Verizon team. I think that
>the E-NNI in this scenario will be between Verizon's own domains that might
>use different planes to provision the MPLS-TP path. In such case, I think,
>an operator might use and benefit from sensible interworking since they
>control both sides even though the network is not top-of-the-stack.
>
>Regards,
>Greg
>
>
>On Tue, Mar 10, 2009 at 3:36 PM, <[email-masked]> wrote:
>
>
>Thank you Greg.
> 
>I think I understand your point here.  I belive you are essentially saying
>this:  I have a DP layer network specification (any mode/technology) and it
>should be possible for me to use CP X and MP Y in different instantiations
>of this DP layer network.  That is perfectly sensible/reasonable.  Where we
>have, however, to reach some agreement in standards is when we want to
>peer-interwork a given layer network.......the DP is a given here, so the
>key issues surround the CP (the MP is usually a no-go area for interworking)
>and we usually restrict what can be seen/controlled across such an (E-NNI)
>interface.  
> 
>But please be very clear that such interworking between operators is really
>only necessary for networks that are top-of-stack and that support real
>(external) message/file/stream applications.....so this is normally public
>services like the Internet or the PSTN.  To create UNIs/E-NNIs in arbitrary
>non top-of-stack layer networks is quite baffling.  Sure it is technically
>possible, but what is the real purpose of it?  When we get to the ends of
>such an arrangement all we can do is pass the client layer network across
>transparently, whether it is top-of-stack or not.
> 
>regards, Neil
>
>
>  _____  
>
>From: Greg Mirsky [mailto:[email-masked]] 
>Sent: 10 March 2009 21:14 
>
>To: Harrison,N,Neil,CXM R
>
>Cc: [email-masked]; [email-masked];
>[email-masked]
>Subject: Re: [mpls-tp] Is MPLS-TP a profile of MPLS? (was: Clarifying
>MPLS-TP requirements for MPLS(-TP) overMPLS(-TP))
>
>
>Dear Sasha, Neil and All,
>I hope that I can clarify situation regarding requirement #16 as proposed by
>Verizon's team. Andy have explained that "non-homogeneous domains" refers
>not to interworking between MPLS-TP and IP/MPLS domains but interworking of
>CP and MP across homogeneous DP based on MPLS-TP (I wish I got it right!).
>The picture that I've carried from our exchange is that some MPLS-TP domains
>might use GMPLS signalling while others will be NMS-provisioned. Additional
>requirement - ability to provision MPLS-TP path across such non-homogeneous
>(in provisioning sense) domains.
>
>Regards,
>Greg
>
>[snip]
>> Requirement 16 of the MPLS-TP
>>     requirements draft actually refers to peer interworking
>> between IP/MPLS and MPLS-TP
>>     (please take a look at the related email thread on this
>> list) indicating, IMHO, that such
>>     scenarios are relevant to network operators and not just
>> to the vendors.
>>     (I've added Andy to the CC list just in case I've
>> misinterpreted these comments...).
>[snip]
>
>
>
>
>_______________________________________________
>mpls-tp mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/mpls-tp
>

=================================================================